aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsrc/python/install.sh6
-rwxr-xr-xtest/python/do_it.sh20
-rw-r--r--test/python/scenarios.json41
3 files changed, 28 insertions, 39 deletions
diff --git a/src/python/install.sh b/src/python/install.sh
index de1b0e6..7109d9d 100755
--- a/src/python/install.sh
+++ b/src/python/install.sh
@@ -236,6 +236,12 @@ install_from_source() {
check_packages curl ca-certificates gnupg2 tar make gcc libssl-dev zlib1g-dev libncurses5-dev \
libbz2-dev libreadline-dev libxml2-dev xz-utils libgdbm-dev tk-dev dirmngr \
libxmlsec1-dev libsqlite3-dev libffi-dev liblzma-dev uuid-dev
+
+ check_packages build-essential gdb lcov pkg-config \
+ libbz2-dev libffi-dev libgdbm-dev libgdbm-compat-dev liblzma-dev \
+ libncurses5-dev libreadline6-dev libsqlite3-dev libssl-dev \
+ lzma lzma-dev tk-dev uuid-dev zlib1g-dev
+
if ! type git > /dev/null 2>&1; then
check_packages git
fi
diff --git a/test/python/do_it.sh b/test/python/do_it.sh
new file mode 100755
index 0000000..ec72b52
--- /dev/null
+++ b/test/python/do_it.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Always run these checks as the non-root user
+user="$(whoami)"
+
+which python3
+
+check "has python" python --version
+
+result=$(python3 -c 'import select; print(select)')
+echo "result: $result"
+
+check "select is built-in" bash -c "python3 -c 'import select; print(select)' | grep 'built-in'"
+
+reportResults
diff --git a/test/python/scenarios.json b/test/python/scenarios.json
index 920f4a2..348ac52 100644
--- a/test/python/scenarios.json
+++ b/test/python/scenarios.json
@@ -1,43 +1,6 @@
{
- "install_additional_python": {
- "image": "ubuntu:focal",
- "features": {
- "python": {
- "version": "3.11",
- "additionalVersions": "3.8,3.9.13,3.10.5"
- }
- }
- },
- "install_jupyterlab": {
- "image": "mcr.microsoft.com/devcontainers/base:focal",
- "remoteUser": "vscode",
- "features": {
- "python": {
- "installJupyterlab": true,
- "configureJupyterlabAllowOrigin": "*"
- }
- }
- },
- "install_additional_jupyterlab": {
- "image": "mcr.microsoft.com/devcontainers/base:focal",
- "remoteUser": "vscode",
- "features": {
- "python": {
- "version": "latest",
- "additionalVersions": "3.9",
- "installJupyterlab": true,
- "configureJupyterlabAllowOrigin": "*"
- }
- }
- },
- "install_os_provided_python": {
- "image": "mcr.microsoft.com/devcontainers/base:0-bullseye",
- "features": {
- "python": "os-provided"
- }
- },
- "install_via_oryx": {
- "image": "mcr.microsoft.com/oryx/build:full-debian-bullseye",
+ "do_it": {
+ "image": "mcr.microsoft.com/devcontainers/base:ubuntu",
"features": {
"python": "3.10"
}